Subject: bug#23625: viper-tests.el fails in master

From: Paul Eggert <[email-masked]>
Date: Thu, 26 May 2016 13:33:53 -0700

Phillip, I just now merged emacs-25 into master and fixed all the merge 
conflicts that were easy, but one problem remains: viper-tests, which 
you recently introduced to emacs-25, fails in the new master. Could you 
please look into this? I don't offhand know what viper-tests is supposed 
to do and don't know how to interpret the test failures. Thanks.

The symptoms with Emacs master commit 
9a834970e822db10bc887db343fd8561a3639a66 compiled for Fedora 23 x86-64, 
are that 'make check' fails with the attached output seemingly being the 
relevant part of the output. This attachment contains some control 
characters; I hope they survive the email process.

(Is there any way to fix the test so that it outputs ordinary text when 
it fails?)